Reminders trigger at the time of the event and not before by default

Bug #1419001 reported by Pat McGowan on 2015-02-06
52
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Pat McGowan
Ubuntu Calendar App
High
Kunal Parmar
indicator-datetime (Ubuntu)
High
Charles Kerr
qtorganizer5-eds (Ubuntu)
Undecided
Renato Araujo Oliveira Filho

Bug Description

Sync of google calendar. The Google calendar setting is set by default to notify 10 min prior to all meetings.

Is it possible to get this default notification time from google with the sync?
or can we add a setting for a default notification time in the calendar app?

Tags: bq Edit Tag help

Related branches

summary: - Reminders trigger at the time of the event and not before
+ Reminders trigger at the time of the event and not before by default
Sebastien Bacher (seb128) wrote :

confirmed on rtm233

Charles Kerr (charlesk) wrote :

This looks like it might be two related but separate issues.

1. handling the notification time for events imported from google calendar

2. displaying triggers at the correct time, rather than at the time of the event. At first glance, this second one appears to be an indicator-datetime-service bug. I'll triage it further to confirm, and will file that under a new datetime ticket if I'm right.

Sebastien Bacher (seb128) wrote :

Pat, I'm adding "canonical-devices-system-image" there, seems like an important issue and might be in the indicator which is on the image (even if the calendar is a store app, users are likely to install it and having event reminder working reliably is kind of important for those who use that features)

Pat McGowan (pat-mcgowan) wrote :

In fact we want to include calendar by default

Changed in canonical-devices-system-image:
importance: Undecided → High
milestone: none → ww09-2015
status: New → Confirmed
Pat McGowan (pat-mcgowan) wrote :

assigning bill as I am not sure where the fix(es) resides

Changed in canonical-devices-system-image:
assignee: nobody → Bill Filler (bfiller)
Changed in canonical-devices-system-image:
milestone: ww09-2015 → ww13-2015
Kunal Parmar (pkunal-parmar) wrote :

"Is it possible to get this default notification time from google with the sync?"

I think this needs to be handled at EDS plugin end. When EDS syncs the events it needs to check google's notification setting and modify the event in local storage.

Bill Filler (bfiller) on 2015-03-23
Changed in qtorganizer5-eds (Ubuntu):
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)

I can confirm that the event reminders are included on calendar event, and they can be retrieved/updated by QtOrganizer API.

The information that we have is:

BEGIN:VALARM^M
TRIGGER;VALUE=DURATION:-PT10M^M
ACTION:DISPLAY^M
DESCRIPTION:This is an event reminder^M
X-EVOLUTION-ALARM-UID:20150323T210628Z-2347-32011-1580-5@ubuntu-phablet^M
END:VALARM^M

Changed in qtorganizer5-eds (Ubuntu):
status: New → Invalid
Bill Filler (bfiller) wrote :

indicator-datetime needs to be modified to read this information out of the event and display the notification at the appropriate time

Changed in ubuntu-calendar-app:
status: New → Invalid
Changed in indicator-datetime (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
importance: Undecided → High
Changed in canonical-devices-system-image:
assignee: Bill Filler (bfiller) → Thomas Strehl (strehl-t)
tags: added: bq
Charles Kerr (charlesk) on 2015-03-30
Changed in indicator-datetime (Ubuntu):
status: New → Triaged
Charles Kerr (charlesk) wrote :

Adding ubuntu-calendar-app as also affected. Its "New Events" page for creating calendar events defaults to "On Event" rather than, say, 15 minutes before.

Changed in indicator-datetime (Ubuntu):
status: Triaged → In Progress
Changed in ubuntu-calendar-app:
status: Invalid → New
no longer affects: ubuntu-calendar-app (Ubuntu)
Changed in ubuntu-calendar-app:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-datetime - 13.10.0+15.04.20150406-0ubuntu1

---------------
indicator-datetime (13.10.0+15.04.20150406-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Improve valarm support to honor calendar events' valarm triggers.
    (LP: #1419001)
 -- CI Train Bot <email address hidden> Mon, 06 Apr 2015 23:35:46 +0000

Changed in indicator-datetime (Ubuntu):
status: In Progress → Fix Released
Pat McGowan (pat-mcgowan) wrote :

@popey can you get this scheduled

Changed in ubuntu-calendar-app:
assignee: nobody → Alan Pope  (popey)
importance: Undecided → High
Changed in canonical-devices-system-image:
assignee: Thomas Strehl (strehl-t) → Pat McGowan (pat-mcgowan)
milestone: ww13-2015 → ww17-2015
Changed in ubuntu-calendar-app:
milestone: none → 2015-04-30
Changed in ubuntu-calendar-app:
status: Confirmed → In Progress
assignee: Alan Pope  (popey) → Kunal Parmar (pkunal-parmar)
Changed in canonical-devices-system-image:
milestone: ww17-2015 → ww21-2015

Fix committed into lp:ubuntu-calendar-app at revision 650, scheduled for release in ubuntu-calendar-app, milestone rtm14

Changed in ubuntu-calendar-app:
status: In Progress → Fix Committed
Changed in ubuntu-calendar-app:
status: Fix Committed → Fix Released

doesn't seem to work with google calendar.

zulucloud (zulucloud) wrote :

Hmmpf... doesn't seem to work on my bq.

Test 1:
Updated everything possible, including calendar app. No reboot, no restarting of any app. Created a new event (creation time appr. 15:55) to start at 16:10, set reminder to 5 minutes. Alarm went off at 16:10.

Test 2:
Switched off bq; switched on again. Created a new event to start at 16:35 (creation time appr. 16:15), leaving reminder at default / 15 minutes. Alarm went off at 16:35.

Let me know if i can help in any way..

Hmmpf... doesn't seem to work on my bq.

Test 1:
Updated everything possible, including calendar app. No reboot, no
restarting of any app. Created a new event (creation time appr. 15:55)
to start at 16:10, set reminder to 5 minutes. Alarm went off at 16:10.

Test 2:
Switched off bq; switched on again. Created a new event to start at
16:35 (creation time appr. 16:15), leaving reminder at default / 15
minutes. Alarm went off at 16:35.

Let me know if i can help in any way..

Am 27.05.2015 um 13:52 schrieb Alan Pope :
> ** Changed in: ubuntu-calendar-app
> Status: Fix Committed => Fix Released
>

when inserting a new date into LOCAL calendar, having german timezone, entering no data, but saving this date, afterwards it is moved two hours before the entered time.

Changed in canonical-devices-system-image:
status: Confirmed → Fix Released
Changed in canonical-devices-system-image:
milestone: ww21-2015 → ww22-2015
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers